<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

trait SluggableTrait
{
        /**
         * @ORM\Column(type="string", length=255)
         * @Gedmo\Slug(fields={"title"})
         */
        protected $slug;

        public function getSlug(): ?string
        {
                return $this->slug;
        }

        public function setSlug(string $slug): self
        {
                $this->slug = $slug;

                return $this;
        }
}
